package Peace;

use v5.30.0;
use strict;
use warnings;

use Mojo::Base 'Mojolicious';

sub startup {
    my $self = shift;
    my $home = $ENV{HOME};

    # Load configuration from config file
    my $config =
      $self->plugin( JSONConfig => { file => "$home/.config/peace/peace.conf" } );

    # Configure the application
    $self->secrets( $config->{secrets} );

    # Router
    my $r = $self->routes;
    $r->post('/users')->to('user#post');
}
1;

=encoding utf8

=head1 NAME

Peace - Onlie GNU/Linux flatpak apps store.

=head1 SYNOPSIS

 ./peace

=head1 DESCRIPTION

Peace is the server backend for flatstore a shop
to be able to sell or buy flatpak applications.

=head1 FUNCTIONS

Peace implements the following functions:

=head2 startup

For internal usage from Mojolicious.

=cut
