package Peace::Test::Mock::Model::Release;

use v5.30.0;

use strict;
use warnings;

use DBI;

use Peace::Model::Release;

use Peace::Test::Mock::Model::Application;

sub new {
    my $class = shift;
    return Peace::Model::Release->new(
        application => Peace::Test::Mock::Model::Application->new,
        tag => 'v0.0.1',
        name => '0.0.1',
        dbh =>  DBI->connect('dbi:Mock:'),
    );
}
1;
=encoding utf8

=head1 NAME

Peace::Test::Mock::Model::Release - Mock object for Peace::Model::Release.

=head1 SYNOPSIS

 my $release = Peace::Test::Mock::Model::Release->new;

=head1 DESCRIPTION

Peace::Test::Mock::Model::Release aims to reduce repeated code which
doesn't bring new things to tests by avoiding to add long lines
in order to create a L<Peace::Model::Release> object on a
unrelated test by providing a stub one already created object.

=head1 INSTANCE METHODS

Peace::Test::Mock::Model::Release implements the following instance
methods:

=head2 new

 my $release = Peace::Test::Mock::Model::Release->new;

Returns a mock L<Peace::Model::Release> object.

=head1 SEE ALSO

L<Peace::Model::Release> 

=cut
