#!/usr/bin/env perl
use v5.30.0;

use strict;
use warnings;

use Test::Most tests => 2;

use Peace::Test::Mock::Model::Release;

BEGIN {
    use_ok('Peace::Model::Build');
}

{
    ## GIVEN
    my $release = Peace::Test::Mock::Model::Release->new;
    my $arch    = 'x86';
    my $build   = Peace::Model::Build->new(
        release => $release,
        arch    => $arch,
    );
    ok $build->isa('Peace::Model::Build'), 'Build is made of Peace::Model::Build.';
}
